Uses of Class
com.randomcoder.article.Article

Packages that use Article
com.randomcoder.article Article management classes. 
com.randomcoder.article.comment Article commenting classes. 
com.randomcoder.feed News feeds and syndication. 
com.randomcoder.tag Tag-management classes. 
 

Uses of Article in com.randomcoder.article
 

Methods in com.randomcoder.article that return Article
 Article ArticleBusinessImpl.approveComment(Long commentId)
           
 Article ArticleBusiness.approveComment(Long commentId)
          Approves a comment.
 Article ArticleBusinessImpl.deleteComment(Long commentId)
           
 Article ArticleBusiness.deleteComment(Long commentId)
          Deletes a comment.
 Article ArticleBusinessImpl.disapproveComment(Long commentId)
           
 Article ArticleBusiness.disapproveComment(Long commentId)
          Disapproves a comment.
 Article ArticleDao.findByPermalink(String permalink)
          Loads an Article by its permalink
 Article ArticleDecorator.getArticle()
          Gets the wrapped article.
protected  Article ArticlePermalinkController.loadArticle(HttpServletRequest request)
           
protected  Article ArticleIdController.loadArticle(HttpServletRequest request)
           
protected abstract  Article AbstractSingleArticleController.loadArticle(HttpServletRequest request)
          Loads the article associated with this request.
 

Methods in com.randomcoder.article that return types with arguments of type Article
 Iterator<Article> ArticleDao.iterateByTag(Tag tag)
          Iterates Article objects with the given tag.
 List<Article> ArticleDao.listAllInRange(int start, int limit)
          Lists Article objects within the range specified.
protected  List<Article> HomeController.listArticlesBeforeDateInRange(ArticlePageCommand command, Date cutoffDate, int start, int limit)
           
protected  List<Article> ArticleTagListController.listArticlesBeforeDateInRange(ArticleTagPageCommand command, Date cutoffDate, int start, int limit)
           
protected abstract  List<Article> AbstractArticleListController.listArticlesBeforeDateInRange(PageCommand command, Date cutoffDate, int start, int limit)
          Lists articles before a given cutoff date.
protected  List<Article> HomeController.listArticlesBetweenDates(ArticlePageCommand command, Date startDate, Date endDate)
           
protected  List<Article> ArticleTagListController.listArticlesBetweenDates(ArticleTagPageCommand command, Date startDate, Date endDate)
           
protected abstract  List<Article> AbstractArticleListController.listArticlesBetweenDates(PageCommand command, Date startDate, Date endDate)
          Lists articles between start and end dates.
 List<Article> ArticleDao.listBeforeDateInRange(Date endDate, int start, int limit)
          Lists Article objects created before the specified date and within the range specified.
 List<Article> ArticleDao.listBetweenDates(Date startDate, Date endDate)
          Lists Article objects created within the specified date range.
 List<Article> ArticleDao.listByTag(Tag tag)
          Lists Article objects with the given tag.
 List<Article> ArticleDao.listByTagBeforeDateInRange(Tag tag, Date endDate, int start, int limit)
          Lists Article objects created before the specified date and within the range specified.
 List<Article> ArticleDao.listByTagBetweenDates(Tag tag, Date startDate, Date endDate)
          Lists Article objects created within the specified date range.
 

Methods in com.randomcoder.article with parameters of type Article
 void ArticleEditCommand.consume(Article article)
          Populates the form based on the supplied article
 void ArticleAddCommand.produce(Article article)
          Writes out the contents of the form to the given article.
 

Method parameters in com.randomcoder.article with type arguments of type Article
 void ArticleBusinessImpl.createArticle(Producer<Article> producer, String userName)
           
 void ArticleBusiness.createArticle(Producer<Article> producer, String userName)
          Create a new article.
 void ArticleBusinessImpl.loadArticleForEditing(Consumer<Article> consumer, Long articleId, String userName)
           
 void ArticleBusiness.loadArticleForEditing(Consumer<Article> consumer, Long articleId, String userName)
          Load an existing article for editing.
 void ArticleBusinessImpl.updateArticle(Producer<Article> producer, Long articleId, String userName)
           
 void ArticleBusiness.updateArticle(Producer<Article> producer, Long articleId, String userName)
          Update an existing article.
 

Constructors in com.randomcoder.article with parameters of type Article
ArticleDecorator(Article article, ContentFilter filter)
          Creates a new decorator using the given article and content filter.
 

Uses of Article in com.randomcoder.article.comment
 

Methods in com.randomcoder.article.comment that return Article
 Article CommentCommand.getArticle()
          Gets the article associated with this comment command
 Article Comment.getArticle()
          Gets the article this comment belongs to.
protected  Article CommentDisapproveController.updateCommentStatus(IdCommand command)
          Disapproves the selected comment.
protected  Article CommentDeleteController.updateCommentStatus(IdCommand command)
          Deletes the selected comment.
protected  Article CommentApproveController.updateCommentStatus(IdCommand command)
          Approves the selected comment.
protected abstract  Article AbstractCommentStatusController.updateCommentStatus(IdCommand command)
          Updates the selected comment.
 

Methods in com.randomcoder.article.comment with parameters of type Article
 void CommentCommand.bind(Article parent, boolean isAnonymous)
          Binds non-request parameters to form.
 void Comment.setArticle(Article article)
          Sets the article this comment belongs to.
 

Uses of Article in com.randomcoder.feed
 

Methods in com.randomcoder.feed that return types with arguments of type Article
 List<Article> FeedInfo.getArticles()
          Gets the list of articles which should be rendered in this feed.
 

Method parameters in com.randomcoder.feed with type arguments of type Article
 void FeedInfo.setArticles(List<Article> articles)
          Sets the list of articles which should be rendered in this feed.
 

Constructor parameters in com.randomcoder.feed with type arguments of type Article
FeedInfo(String title, String subtitle, URL feedUrl, URL altUrl, String feedId, List<Article> articles)
          Creates a new feed info object.
 

Uses of Article in com.randomcoder.tag
 

Methods in com.randomcoder.tag that return types with arguments of type Article
 List<Article> Tag.getArticles()
          Gets the articles which belong to this tag.
 

Method parameters in com.randomcoder.tag with type arguments of type Article
 void Tag.setArticles(List<Article> articles)
          Sets the articles which belong to this tag.
 



Copyright © 2006-2010 Craig Condit. All Rights Reserved.